TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

NewType ( string newtype, elt-ord^rat level ) -> type

### Description

<shortdoc> Install the new type 'newtype' of level 'level'.
if 'level=0' then 'newtype' can only be used as a simple type.
if 'level=1' then 'newtype' can only be used on the left of '^'.
if 'level=2' then 'newtype' can only be used on the right of '^'. </shortdoc>

### Examples

NewType("cox",2); elt-grp^cox;

### See also

Types
Type ( any ) -> type
ShowTypes
NewType ( string ) -> type
Is ( type, type )

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack